use std::cell::Cell;
use std::rc::Rc;

fn main() {
    let r1 = Rc::new(Cell::new(100));
    let r2 = Rc::clone(&r1);
    r1.set(200);
    let value_1 = r1.get();
    let value_2 = r2.get();
    println!("value_1: {value_1}, value_2: {value_2}");
}